Loading...
Searching...
No Matches
Opm::Linear::SolverWrapperRestartedGMRes< TypeTag > Class Template Reference

Solver wrapper for the restarted GMRES solver of dune-istl. More...

`#include <istlsolverwrappers.hh>`

## Public Types

using | RawSolver = Dune::RestartedGMResSolver<OverlappingVector>

## Public Member Functions

template<class LinearOperator, class ScalarProduct, class Preconditioner>
std::shared_ptr< RawSolver > | get (LinearOperator &parOperator, ScalarProduct &parScalarProduct, Preconditioner &parPreCond)
void | cleanup ()

## Static Public Member Functions

static void | registerParameters ()

## Detailed Description

template<class TypeTag>
class Opm::Linear::SolverWrapperRestartedGMRes< TypeTag >

Solver wrapper for the restarted GMRES solver of dune-istl.

dune-istl uses a slightly different API for this solver than for the others...

The documentation for this class was generated from the following file:

- opm/simulators/linalg/istlsolverwrappers.hh